using Domain.Entities;
using Domain.Generics;

namespace Core.Interfaces.Stock
{
    public interface ILSUnitOfMeasureDom
    {
        Task<PagedResult<ELSUnitOfMeasure>> SearchAsync(string? text, int page = 1, int pageSize = 100);
        Task<ELSUnitOfMeasure?> GetByIdAsync(int id);
        Task<int> AddAsync(ELSUnitOfMeasure model);
        Task UpdateAsync(ELSUnitOfMeasure model);
        Task<bool> ExistsByCodeAsync(string code);
        Task<List<string>> GetAllCodesAsync();

    }
}
